libcdr::CDRStyle Struct Reference documentation

libcdr::CDRStyle Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRStyle ()
void | overrideStyle (const CDRStyle &override)

## Public Attributes
unsigned short | m_charSet
librevenge::RVNGString | m_fontName
double | m_fontSize
unsigned | m_align
double | m_leftIndent
double | m_firstIndent
double | m_rightIndent
CDRLineStyle | m_lineStyle
CDRFillStyle | m_fillStyle
unsigned | m_parentId

## Constructor & Destructor Documentation

## ◆ CDRStyle()

libcdr::CDRStyle::CDRStyle | ( |  | ) |
| inline

Referenced by overrideStyle().

## Member Function Documentation

## ◆ overrideStyle()

void libcdr::CDRStyle::overrideStyle | ( | const CDRStyle & | override | ) |
| inline

Referenced by libcdr::CDRStylesCollector::collectText(), and libcdr::CDRParserState::getRecursedStyle().

## Member Data Documentation

## ◆ m_align

unsigned libcdr::CDRStyle::m_align

Referenced by libcdr::CDRParser::_readX6StyleString(), CDRStyle(), overrideStyle(), libcdr::CDRParser::readStlt(), and libcdr::CDRParser::readStyd().

## ◆ m_charSet

unsigned short libcdr::CDRStyle::m_charSet

Referenced by libcdr::CDRParser::_readX6StyleString(), CDRStyle(), libcdr::CDRStylesCollector::collectText(), overrideStyle(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), and libcdr::CDRParser::readTxsm6().

## ◆ m_fillStyle

CDRFillStyle libcdr::CDRStyle::m_fillStyle

Referenced by libcdr::CDRContentCollector::_fillProperties(), libcdr::CDRParser::_readX6StyleString(), CDRStyle(), overrideStyle(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), and libcdr::CDRParser::readTxsm6().

## ◆ m_firstIndent

double libcdr::CDRStyle::m_firstIndent

Referenced by CDRStyle(), overrideStyle(), and libcdr::CDRParser::readStlt().

## ◆ m_fontName

librevenge::RVNGString libcdr::CDRStyle::m_fontName

Referenced by libcdr::CDRParser::_readX6StyleString(), CDRStyle(), overrideStyle(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), and libcdr::CDRParser::readTxsm6().

## ◆ m_fontSize

double libcdr::CDRStyle::m_fontSize

Referenced by libcdr::CDRParser::_readX6StyleString(), CDRStyle(), overrideStyle(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), and libcdr::CDRParser::readTxsm6().

## ◆ m_leftIndent

double libcdr::CDRStyle::m_leftIndent

Referenced by CDRStyle(), overrideStyle(), and libcdr::CDRParser::readStlt().

## ◆ m_lineStyle

CDRLineStyle libcdr::CDRStyle::m_lineStyle

Referenced by libcdr::CDRContentCollector::_lineProperties(), libcdr::CDRParser::_readX6StyleString(), CDRStyle(), overrideStyle(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), and libcdr::CDRParser::readTxsm6().

## ◆ m_parentId

unsigned libcdr::CDRStyle::m_parentId

Referenced by CDRStyle(), libcdr::CDRParser::readStlt(), and libcdr::CDRParser::readStyd().

## ◆ m_rightIndent

double libcdr::CDRStyle::m_rightIndent

Referenced by CDRStyle(), overrideStyle(), and libcdr::CDRParser::readStlt().

The documentation for this struct was generated from the following file:

- CDRTypes.h